Package org.codehaus.groovy.macro.runtime

# Enum MacroStub

java.lang.Object
java.lang.Enum<MacroStub>
org.codehaus.groovy.macro.runtime.MacroStub

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<MacroStub>`, `java.lang.constant.Constable`

    public enum MacroStub
    extends java.lang.Enum<MacroStub>

Stub for macro calls.

Since:
  2.5.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `INSTANCE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `<T> T` | `macroMethod​(T obj)` |
  `static MacroStub` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static MacroStub[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INSTANCE

    public static final MacroStub INSTANCE

- ## Method Details

  - ### values

    public static MacroStub[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MacroStub valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### macroMethod

    public <T> T macroMethod​(T obj)